VkHdrMetadataEXT Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkHdrMetadataEXT:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkXYColorEXT | displayPrimaryRed
VkXYColorEXT | displayPrimaryGreen
VkXYColorEXT | displayPrimaryBlue
VkXYColorEXT | whitePoint
float | maxLuminance
float | minLuminance
float | maxContentLightLevel
float | maxFrameAverageLightLevel

## Detailed Description

Definition at line 6230 of file vulkan.h.

## Field Documentation

## displayPrimaryBlue

VkXYColorEXT VkHdrMetadataEXT::displayPrimaryBlue

Definition at line 6235 of file vulkan.h.

## displayPrimaryGreen

VkXYColorEXT VkHdrMetadataEXT::displayPrimaryGreen

Definition at line 6234 of file vulkan.h.

## displayPrimaryRed

VkXYColorEXT VkHdrMetadataEXT::displayPrimaryRed

Definition at line 6233 of file vulkan.h.

## maxContentLightLevel

float VkHdrMetadataEXT::maxContentLightLevel

Definition at line 6239 of file vulkan.h.

## maxFrameAverageLightLevel

float VkHdrMetadataEXT::maxFrameAverageLightLevel

Definition at line 6240 of file vulkan.h.

## maxLuminance

float VkHdrMetadataEXT::maxLuminance

Definition at line 6237 of file vulkan.h.

## minLuminance

float VkHdrMetadataEXT::minLuminance

Definition at line 6238 of file vulkan.h.

## pNext

const void* VkHdrMetadataEXT::pNext

Definition at line 6232 of file vulkan.h.

## sType

VkStructureType VkHdrMetadataEXT::sType

Definition at line 6231 of file vulkan.h.

## whitePoint

VkXYColorEXT VkHdrMetadataEXT::whitePoint

Definition at line 6236 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h